HibernateInterceptorChain (Hyperic HQ Plugin API)
Keywords: org.hyperic.hibernate.HibernateInterceptorChain interface

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hibernate
Interface HibernateInterceptorChain

All Known Implementing Classes:
  DefaultInterceptorChain

    public interface HibernateInterceptorChain

Method Summary
`void` | `afterTransactionBegin(HibernateInterceptorChain next, org.hibernate.Interceptor target, org.hibernate.Transaction tx)`
`void` | `afterTransactionCompletion(HibernateInterceptorChain next, org.hibernate.Interceptor target, org.hibernate.Transaction tx)`
`void` | `beforeTransactionCompletion(HibernateInterceptorChain next, org.hibernate.Interceptor target, org.hibernate.Transaction tx)`
`int[]` | `findDirty(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] currentState, java.lang.Object[] previousState, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`java.lang.Object` | `getEntity(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.String entityName, java.io.Serializable id)`
`java.lang.String` | `getEntityName(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object object)`
`java.lang.Object` | `instantiate(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.String entityName, org.hibernate.EntityMode entityMode, java.io.Serializable id)`
`java.lang.Boolean` | `isTransient(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object entity)`
`void` | `onCollectionRecreate(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object collection, java.io.Serializable key)`
`void` | `onCollectionRemove(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object collection, java.io.Serializable key)`
`void` | `onCollectionUpdate(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object collection, java.io.Serializable key)`
`void` | `onDelete(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onFlushDirty(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] currentState, java.lang.Object[] previousState, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`boolean` | `onLoad(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`java.lang.String` | `onPrepareStatement(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.String sql)`
`boolean` | `onSave(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.lang.Object entity, java.io.Serializable id, java.lang.Object[] state, java.lang.String[] propertyNames, org.hibernate.type.Type[] types)`
`void` | `postFlush(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.util.Iterator entities)`
`void` | `preFlush(HibernateInterceptorChain next, org.hibernate.Interceptor target, java.util.Iterator entities)`

Method Detail

### onDelete

    void onDelete(HibernateInterceptorChain next,
                  org.hibernate.Interceptor target,
                  java.lang.Object entity,
                  java.io.Serializable id,
                  java.lang.Object[] state,
                  java.lang.String[] propertyNames,
                  org.hibernate.type.Type[] types)

### onFlushDirty

    boolean onFlushDirty(HibernateInterceptorChain next,
                         org.hibernate.Interceptor target,
                         java.lang.Object entity,
                         java.io.Serializable id,
                         java.lang.Object[] currentState,
                         java.lang.Object[] previousState,
                         java.lang.String[] propertyNames,
                         org.hibernate.type.Type[] types)

### onLoad

    boolean onLoad(HibernateInterceptorChain next,
                   org.hibernate.Interceptor target,
                   java.lang.Object entity,
                   java.io.Serializable id,
                   java.lang.Object[] state,
                   java.lang.String[] propertyNames,
                   org.hibernate.type.Type[] types)

### onSave

    boolean onSave(HibernateInterceptorChain next,
                   org.hibernate.Interceptor target,
                   java.lang.Object entity,
                   java.io.Serializable id,
                   java.lang.Object[] state,
                   java.lang.String[] propertyNames,
                   org.hibernate.type.Type[] types)

### postFlush

    void postFlush(HibernateInterceptorChain next,
                   org.hibernate.Interceptor target,
                   java.util.Iterator entities)

### preFlush

    void preFlush(HibernateInterceptorChain next,
                  org.hibernate.Interceptor target,
                  java.util.Iterator entities)

### isTransient

    java.lang.Boolean isTransient(HibernateInterceptorChain next,
                                  org.hibernate.Interceptor target,
                                  java.lang.Object entity)

### instantiate

    java.lang.Object instantiate(HibernateInterceptorChain next,
                                 org.hibernate.Interceptor target,
                                 java.lang.String entityName,
                                 org.hibernate.EntityMode entityMode,
                                 java.io.Serializable id)

### findDirty

    int[] findDirty(HibernateInterceptorChain next,
                    org.hibernate.Interceptor target,
                    java.lang.Object entity,
                    java.io.Serializable id,
                    java.lang.Object[] currentState,
                    java.lang.Object[] previousState,
                    java.lang.String[] propertyNames,
                    org.hibernate.type.Type[] types)

### getEntityName

    java.lang.String getEntityName(HibernateInterceptorChain next,
                                   org.hibernate.Interceptor target,
                                   java.lang.Object object)

### getEntity

    java.lang.Object getEntity(HibernateInterceptorChain next,
                               org.hibernate.Interceptor target,
                               java.lang.String entityName,
                               java.io.Serializable id)

### afterTransactionBegin

    void afterTransactionBegin(HibernateInterceptorChain next,
                               org.hibernate.Interceptor target,
                               org.hibernate.Transaction tx)

### afterTransactionCompletion

    void afterTransactionCompletion(HibernateInterceptorChain next,
                                    org.hibernate.Interceptor target,
                                    org.hibernate.Transaction tx)

### beforeTransactionCompletion

    void beforeTransactionCompletion(HibernateInterceptorChain next,
                                     org.hibernate.Interceptor target,
                                     org.hibernate.Transaction tx)

### onPrepareStatement

    java.lang.String onPrepareStatement(HibernateInterceptorChain next,
                                        org.hibernate.Interceptor target,
                                        java.lang.String sql)

### onCollectionRemove

    void onCollectionRemove(HibernateInterceptorChain next,
                            org.hibernate.Interceptor target,
                            java.lang.Object collection,
                            java.io.Serializable key)
                            throws org.hibernate.CallbackException

  Throws:
    `org.hibernate.CallbackException`

### onCollectionRecreate

    void onCollectionRecreate(HibernateInterceptorChain next,
                              org.hibernate.Interceptor target,
                              java.lang.Object collection,
                              java.io.Serializable key)
                              throws org.hibernate.CallbackException

  Throws:
    `org.hibernate.CallbackException`

### onCollectionUpdate

    void onCollectionUpdate(HibernateInterceptorChain next,
                            org.hibernate.Interceptor target,
                            java.lang.Object collection,
                            java.io.Serializable key)
                            throws org.hibernate.CallbackException

  Throws:
    `org.hibernate.CallbackException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.